Skip to navigation

List users

View as Markdown

Returns users from the configured Connect service.

To use this method, you must be an account administrator and Connect must be enabled on your account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

connectIdstringRequired
The ID of the custom Connect configuration being accessed.

Query parameters

countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

email_substringstringOptional
Filters returned user records by full email address or a substring of email address.
list_included_usersstringOptional
start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

statusstringOptional

Filters the results by user status. You can specify a comma-separated list of the following statuses:

  • ActivationRequired
  • ActivationSent
  • Active
  • Closed
  • Disabled
user_name_substringstringOptional

Filters results based on a full or partial user name.

Note: When you enter a partial user name, you do not use a wildcard character.

Response

Successful response.
allUsersSelectedstringOptional
endPositionstringOptional
The last index position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

userslist of objectsOptional
User management information.

Errors

400
Bad Request Error